package cn.estsh.i3plus.ext.mes.pcn.api.base;

import cn.estsh.i3plus.pojo.mes.bean.MesWorkCell;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/29 13:24
 **/
public interface ISxOrganizeExtService {

    /**
     * 根据生产线代码查询工位集合
     * @param organizeCode 组织代码
     * @param workCenterCode 生产线代码
     * @return 工位集合
     */
    @ApiOperation(value = "根据生产线代码查询工位集合", notes = "根据生产线代码查询工位集合")
    List<MesWorkCell> findWorkCell(String organizeCode, String workCenterCode);

}
